Bug 434691 - Review Request: ocaml-postgresql - OCaml library for accessing PostreSQL databases
Review Request: ocaml-postgresql - OCaml library for accessing PostreSQL data...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 09:09 EST by Richard W.M. Jones
Modified: 2008-03-04 13:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 13:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 09:09:11 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-postgresql.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-postgresql-1.7.0-1.fc9.src.rpm
Description: OCaml library for accessing PostreSQL databases

This package is rpmlint-clean except for this warning:

ocaml-postgresql<*>: W: invalid-license LGPLv2+ with exceptions

which I think is an error in rpmlint (bug 434690).
Comment 1 Parag AN(पराग) 2008-03-02 06:37:58 EST
You can add examples directory as %doc
Add LICENSE AUTHORS Changes to %doc
Comment 2 Richard W.M. Jones 2008-03-03 11:56:58 EST
To make this consistent with the other packages I put the license file
in the main package, and the license file + all doc + examples in the
devel subpackage.  Here's an updated version:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-postgresql.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-postgresql-1.7.0-2.fc9.src.rpm

* Mon Mar  3 2008 Richard W.M. Jones <rjones@redhat.com> - 1.7.0-2
- Only include LICENSE doc in main package.
- Include extra documentation and examples in devel package.
- Check it builds in mock.
- Don't need 'ExcludeArch: ppc64' on Rawhide.
Comment 3 Parag AN(पराग) 2008-03-03 22:35:14 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=489172
+ rpmlint is NOT silent for SRPM and for RPM.
ocaml-postgresql.i386: W: invalid-license LGPLv2+ with exceptions
ocaml-postgresql.src: W: invalid-license LGPLv2+ with exceptions
ocaml-postgresql-devel.i386: W: invalid-license LGPLv2+ with exceptions
==> Ok to accept as per fixed in bug 434690
+ source files match upstream.
c79dbef491646610cfb22559e0fc2c16  postgresql-ocaml-1.7.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-postgresql-1.7.0-2.fc9 =>
 Provides: dllpostgresql_stubs.so ocaml(Postgresql) =
5e9f1f2c527e4b7c59632902b765f8d3
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libpq.so.5
ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(Callback) =
e5ca1fb5990fac2b7b17cbb1712cffe2 ocaml(CamlinternalOO) =
6d0d5b328d6db88f403ca4393b4abd38 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Unix) = 9a46a8db115947409e54686ada118599
ocaml(runtime) = 3.10.1

+ Package ocaml-postgresql-devel-1.7.0-2.fc9 =>
  Requires: ocaml-postgresql = 1.7.0-2.fc9
+ Followed ocaml packaging guidelines.

In build.log I see that
ocamlfind: [WARNING] You have installed DLLs but the directory
/var/tmp/ocaml-postgresql-1.7.0-2.fc9-root-mockbuild/usr/lib/ocaml/stublibs is
not mentioned in ld.conf

I am not sure if this needs to be fixed?

Also, Sorry I am not knowing following thing
- Don't need 'ExcludeArch: ppc64' on Rawhide.
Can you explain this for me? I see no build happened on koji for ppc64.
Comment 4 Parag AN(पराग) 2008-03-03 23:06:59 EST
I just found actually /usr/lib/ocaml/stublibs is written in /usr/lib/ocaml/ld.conf
So above warning looks fake.

APPROVED.
Comment 5 Parag AN(पराग) 2008-03-03 23:23:04 EST
oops and one more thing I found you included 
ExcludeArch: ppc64 
in spec packaged in SPRM but your SPEC URL seems updated and ok.
take care to use updated SPEC that removed "ExcludeArch: ppc64 "
koji build with all archs http://koji.fedoraproject.org/koji/taskinfo?taskID=489415
Comment 6 Richard W.M. Jones 2008-03-04 05:39:56 EST
> ocamlfind: [WARNING] You have installed DLLs but the directory
> /var/tmp/ocaml-postgresql-1.7.0-2.fc9-root-mockbuild/usr/lib/ocaml/stublibs
> is not mentioned in ld.conf

Yes so this warning is from ocamlfind getting confused about installing
in a destdir.  It wants to warn you to add /usr/lib/ocaml/stublibs to
ld.conf (which is already added, in the base camlp4 package) but gets
the directory wrong.  This can be ignored.

> ExcludeArch: ppc64

Yes, pointed noted.  I don't know how the spec managed to differ
from the SRPM since I uploaded them both at the same time ...
Comment 7 Richard W.M. Jones 2008-03-04 05:43:10 EST
New Package CVS Request
=======================
Package Name: ocaml-postgresql
Short Description: OCaml library for accessing PostreSQL databases
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-03-04 12:09:02 EST
cvs done.
Comment 9 Richard W.M. Jones 2008-03-04 13:40:41 EST
Built on F-8 & devel.

Note You need to log in before you can comment on or make changes to this bug.